 
 var baseIcon;
 
 function googlemap_init() {
   baseIcon = new GIcon();
   baseIcon.image = "http://www.google.com/mapfiles/marker.png";
   baseIcon.shadow = "http://www.google.com/mapfiles/shadow50.png";
   baseIcon.iconSize = new GSize(20, 34);
   baseIcon.shadowSize = new GSize(37, 34);
   baseIcon.iconAnchor = new GPoint(9, 34);
   baseIcon.infoWindowAnchor = new GPoint(9, 2);
   baseIcon.infoShadowAnchor = new GPoint(18, 25);
} 

function createMarker(item, rssicon) {
  var title = item.getElementsByTagName("title")[0].childNodes[0].nodeValue;
  var description = item.getElementsByTagName("description")[0].childNodes[0].nodeValue;
  var link = item.getElementsByTagName("link")[0].childNodes[0].nodeValue;

 if ((item.getElementsByTagName("latitude").length > 0) && (item.getElementsByTagName("longitude").length >  0)) {
    var lat = item.getElementsByTagName("latitude")[0].childNodes[0].nodeValue;
    var lng = item.getElementsByTagName("longitude")[0].childNodes[0].nodeValue;
 } 
 else if ((item.getElementsByTagName("icbm:latitude").length > 0) && (item.getElementsByTagName("icbm:latitude").length >  0)) {
     var lat = item.getElementsByTagName("icbm:latitude")[0].childNodes[0].nodeValue;
     var lng = item.getElementsByTagName("icbm:longitude")[0].childNodes[0].nodeValue;
 } 
 else {
   return null;
 }
  var point = new GPoint(parseFloat(lng), parseFloat(lat));
  var icon = new GIcon(baseIcon);  if (rssicon) {    icon.image = rssicon;  }  var marker = new GMarker(point,icon);
 var mapstartIndex = description.indexOf("<!--mapstart-->");
 var mapendIndex = description.indexOf("<!--mapend-->");
 if (mapstartIndex == -1) {mapstart_index = 0;}
 if (mapendIndex != -1) {
    description = description.slice(mapstartIndex, mapendIndex);
 }
  var html = "<div class=\"gmapMarker\"> <div class=\"gmapMarkerTitle\"><a href=\"" + link + "\">" + title + "</a></div>  <div class=\"gmapMarkerDescription\">" + description + "</div>  <p class=\"gmapMarkerMore\"><a href=\"" + link + "\">more...</a></p>  </div>";
  GEvent.addListener(marker, "click", function() {
    marker.openInfoWindowHtml(html);
  });
 return marker;
}

function createLinePoints(item) {
 if (item.getElementsByTagName("line").length > 0) {
    var pointsString = item.getElementsByTagName("line")[0].childNodes[0].nodeValue;
 } 
 else {
   return null;
 }
 var points = [];
 var pointsArrayString = pointsString.split("+");
 for (var i = 0; i < pointsArrayString.length; i++) {
   var point = pointsArrayString[i].split(",");
      points.push(new GPoint(parseFloat(point[0]), parseFloat(point[1])));
 }
 return points;
}

function mapRSS(map, rssurl, icon, linecolor) {var request = GXmlHttp.create();
  request.open("GET", rssurl, true);
  request.onreadystatechange = function() {
    if (request.readyState == 4) {
      var xmlDoc = request.responseXML;
        if (request.status != 200) { alert("file not found:" + rssurl); return; }
      var items = xmlDoc.documentElement.getElementsByTagName("item");
      for (var i = 0; i < items.length; i++) {
        var marker = createMarker(items[i], icon);
        if ((marker)) {
          map.addOverlay(marker);
        }
        if (linecolor) {
          var linepoints = createLinePoints(items[i]);
          if (linepoints) {
            map.addOverlay(new GPolyline(linepoints, linecolor, 5));
          }
        }
      }
    }
  }
  request.send(null);
}

